Bug 1898289 - E2E test: Use KUBEADM_PASSWORD_FILE by default
Summary: E2E test: Use KUBEADM_PASSWORD_FILE by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: ---
: 4.7.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1898302
TreeView+ depends on / blocked
 
Reported: 2020-11-16 18:30 UTC by Samuel Padgett
Modified: 2021-02-24 15:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:33:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:34:06 UTC

Description Samuel Padgett 2020-11-16 18:30:06 UTC
Symptomatic Behavior

Pre-4.7 console tests are using hardcoded kubeadmin password location
Expected Behavior

They should use KUBEADM_PASSWORD_FILE

We need to backport https://github.com/openshift/console/pull/7075 to release-4.6 and earlier. We will likely need a BZ for this.

Impact

Blocks openshift_installer_src deprecation

Category

CI Jobs

Comment 3 Yadan Pei 2020-11-18 09:40:51 UTC
Moving to VERIFIED since the changes have been in master branch

Comment 6 errata-xmlrpc 2021-02-24 15:33:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.